|  | Home | Documentation | SOAP_ENV__Fault Struct Reference updated Mon Nov 12 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
SOAP_ENV__Fault Struct Reference

`#include <addressStub.h>`

Collaboration diagram for SOAP_ENV__Fault:
[legend]

## Public Member Functions
long | soap_type () const
| SOAP_ENV__Fault ()
long | soap_type () const
| SOAP_ENV__Fault ()

## Public Attributes
char * | faultcode
char * | faultstring
char * | faultactor
struct SOAP_ENV__Detail * | detail
struct SOAP_ENV__Code * | SOAP_ENV__Code
struct SOAP_ENV__Reason * | SOAP_ENV__Reason
char * | SOAP_ENV__Node
char * | SOAP_ENV__Role
struct SOAP_ENV__Detail * | SOAP_ENV__Detail

## Friends
SOAP_FMAC1 SOAP_ENV__Fault *SOAP_FMAC2 | address_instantiate_SOAP_ENV__Fault (struct soap *, int, const char *, const char *, size_t *)
SOAP_FMAC1 SOAP_ENV__Fault *SOAP_FMAC2 | graph_instantiate_SOAP_ENV__Fault (struct soap *, int, const char *, const char *, size_t *)

## Detailed Description

Definition at line 243 of file addressStub.h.

## Constructor & Destructor Documentation

SOAP_ENV__Fault::SOAP_ENV__Fault | ( |  | ) |
| inline

Constructor with member initializations

Definition at line 267 of file addressStub.h.

SOAP_ENV__Fault::SOAP_ENV__Fault | ( |  | ) |
| inline

Constructor with member initializations

Definition at line 186 of file graphStub.h.

## Member Function Documentation

long SOAP_ENV__Fault::soap_type | ( |  | ) | const
| inline

Return unique type id SOAP_TYPE_SOAP_ENV__Fault

Definition at line 184 of file graphStub.h.

long SOAP_ENV__Fault::soap_type | ( |  | ) | const
| inline

Return unique type id SOAP_TYPE_SOAP_ENV__Fault

Definition at line 265 of file addressStub.h.

## Friends And Related Function Documentation

SOAP_FMAC1 SOAP_ENV__Fault* SOAP_FMAC2 address_instantiate_SOAP_ENV__Fault | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |
| friend

Friend allocator

SOAP_FMAC1 SOAP_ENV__Fault* SOAP_FMAC2 graph_instantiate_SOAP_ENV__Fault | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |
| friend

Friend allocator

## Member Data Documentation

struct SOAP_ENV__Detail * SOAP_ENV__Fault::detail

Optional element 'detail' of XSD type 'SOAP-ENV:Detail'

Definition at line 252 of file addressStub.h.

char * SOAP_ENV__Fault::faultactor

Optional element 'faultactor' of XSD type 'xsd:string'

Definition at line 250 of file addressStub.h.

char * SOAP_ENV__Fault::faultcode

Optional element 'faultcode' of XSD type 'xsd:QName'

Definition at line 246 of file addressStub.h.

char * SOAP_ENV__Fault::faultstring

Optional element 'faultstring' of XSD type 'xsd:string'

Definition at line 248 of file addressStub.h.

struct SOAP_ENV__Code * SOAP_ENV__Fault::SOAP_ENV__Code

Optional element 'SOAP-ENV:Code' of XSD type 'SOAP-ENV:Code'

Definition at line 254 of file addressStub.h.

struct SOAP_ENV__Detail * SOAP_ENV__Fault::SOAP_ENV__Detail

Optional element 'SOAP-ENV:Detail' of XSD type 'SOAP-ENV:Detail'

Definition at line 262 of file addressStub.h.

char * SOAP_ENV__Fault::SOAP_ENV__Node

Optional element 'SOAP-ENV:Node' of XSD type 'xsd:string'

Definition at line 258 of file addressStub.h.

struct SOAP_ENV__Reason * SOAP_ENV__Fault::SOAP_ENV__Reason

Optional element 'SOAP-ENV:Reason' of XSD type 'SOAP-ENV:Reason'

Definition at line 256 of file addressStub.h.

char * SOAP_ENV__Fault::SOAP_ENV__Role

Optional element 'SOAP-ENV:Role' of XSD type 'xsd:string'

Definition at line 260 of file addressStub.h.

The documentation for this struct was generated from the following files:

- addressStub.h
- graphStub.h